.truncate {
    display: block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.noselect {
    -webkit-touch-callout: none;
    /* iOS Safari */
    -webkit-user-select: none;
    /* Safari */
    -khtml-user-select: none;
    /* Konqueror HTML */
    -moz-user-select: none;
    /* Firefox */
    -ms-user-select: none;
    /* Internet Explorer/Edge */
    user-select: none;
}

.link {
    cursor: pointer;
}

// No Resize for textareas
textarea.no-resize {
    resize: none;
}

.text-thin {
    font-weight: 400;
}

.text-bold {
    font-weight: bold;
}

.text-bold-md {
    font-weight: 500;
}

.border-right {
    border-right: solid 1px #eee;
}

.padding-none {
    padding: 0px !important;
}

.relative {
    position: relative;
}

.center {
    text-align: center;
}

.uppercase {
    text-transform: uppercase !important;
}

.absolute-center {
    position: absolute;
    top: -50%;
    left: -50%;
    transform: translate(-50%, -50%);
}

.hidden {
    display: none;
}

.word-break {
    word-break: break-word;
}


/** Margins and Padding spaces **/

// MARGING SPACINGS
@each $name,
$value in $spacings {
    .margin-#{$name} {
        margin: $value;
    }
}

// MARGING TOP SPACINGS
@each $name,
$value in $spacings {
    .margin-top-#{$name} {
        margin-top: $value;
    }
}

// MARGING RIGHT SPACINGS
@each $name,
$value in $spacings {
    .margin-right-#{$name} {
        margin-right: $value;
    }
}

// MARGING BOTTOM SPACINGS
@each $name,
$value in $spacings {
    .margin-bottom-#{$name} {
        margin-bottom: $value;
    }
}

// MARGING LEFT SPACINGS
@each $name,
$value in $spacings {
    .margin-left-#{$name} {
        margin-left: $value;
    }
}

// PADDING SPACINGS
@each $name,
$value in $spacings {
    .padding-#{$name} {
        padding: $value;
    }
}

// PADDING TOP SPACINGS
@each $name,
$value in $spacings {
    .padding-top-#{$name} {
        padding-top: $value;
    }
}

// PADDING RIGHT SPACINGS
@each $name,
$value in $spacings {
    .padding-right-#{$name} {
        padding-right: $value;
    }
}

// PADDING BOTTOM SPACINGS
@each $name,
$value in $spacings {
    .padding-bottom-#{$name} {
        padding-bottom: $value;
    }
}

// PADDING LEFT SPACINGS
@each $name,
$value in $spacings {
    .padding-left-#{$name} {
        padding-left: $value;
    }
}


/** Text colors **/

@each $name,
$value in $textColors {
    .text-#{$name} {
        color: $value;
    }
}


/** Background colors **/

@each $name,
$value in $textColors {
    .bg-#{$name} {
        background: $value;
    }
}


/** Status colors **/

@each $name,
$value in $statuses {
    .status-#{$name} {
        background: lighten($value, 30%);
        color: darken($value, 10%);
        font-weight: 500;
    }
}


/** For thin icons **/

.ic {
    vertical-align: sub;
    &.ic-fw {
        margin-right: 8px;
    }
    // ICON SIZES
    @each $name,
    $value in $iconSizes {
        &.ic-#{$name} {
            background: $value;
            font-size: $value;
        }
    }
}

.ion {
    &-fw {
        margin-right: 5px;
    }
    // ICON SIZES
    @each $name,
    $value in $iconSizes {
        &-#{$name} {
            vertical-align: middle;
            font-size: $value;
        }
    }
}


/** For image sizes **/

@each $name,
$value in $profileImgSize {
    &.profile-pic-round-#{$name} {
        width: $value;
        height: $value;
        clip: rect(0px, $value, $value, 0px);
        @include border-radius(50%);
        overflow: hidden;
        background: #eee;
    }
}

@each $name,
$value in $profileImgSize {
    &.profile-pic-#{$name} {
        width: $value;
        height: $value;
        clip: rect(0px, $value, $value, 0px);
        @include border-radius(2px);
        overflow: hidden;
        background: #eee;
    }
}


/** Counter in list items**/

.notify-counter {
    span.label {
        position: absolute;
        right: 7px;
        top: 9px;
        background: rgba(255, 0, 0, 0.81);
    }
}

.checkbox {
    &.fix-layout {
        input {
            margin-top: 7px;
        }
    }
}

select.custom {
    font-size: 1.05882em;
    color: #1c1d1d;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-position: right center;
    background-image: url(/assets/icons/ico-select.svg);
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-color: transparent;
    padding-right: 28px;
    text-indent: 0.01px;
    text-overflow: '';
    cursor: pointer;
    margin-left: 0px;
}